=== debian/changelog ===
akonadi-calendar (4:25.11.90-0ubuntu2) resolute; urgency=medium

  * Build gear build deps to 25.11.90.

 -- Rik Mills <rikmills@kde.org>  Fri, 28 Nov 2025 14:50:00 +0000

akonadi-calendar (4:25.11.90-0ubuntu1) resolute; urgency=medium

  * New upstream (RC) release (25.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 28 Nov 2025 13:55:37 +0000
