=== debian/control ===
--- 
+++ 
@@ -9,10 +9,10 @@
                dh-sequence-kf6,
                extra-cmake-modules (>= 6.6.0~),
                gettext,
-               libakonadi-dev (>= 4:25.11.90~),
-               libakonadicontact-dev (>= 4:25.11.90~),
-               libakonadimime-dev (>= 4:25.11.90~),
-               libkcalendarutils-dev (>= 4:25.11.90~),
+               libakonadi-dev (>= 4:25.12.0~),
+               libakonadicontact-dev (>= 4:25.12.0~),
+               libakonadimime-dev (>= 4:25.12.0~),
+               libkcalendarutils-dev (>= 4:25.12.0~),
                libkf6calendarcore-dev (>= 6.6.0~),
                libkf6codecs-dev (>= 6.6.0~),
                libkf6crash-dev (>= 6.6.0~),
@@ -22,11 +22,11 @@
                libkf6notifications-dev (>= 6.6.0~),
                libkf6widgetsaddons-dev (>= 6.6.0~),
                libkf6xmlgui-dev (>= 6.6.0~),
-               libkidentitymanagement-dev (>= 25.11.90~),
-               libkleo-dev (>= 4:25.11.90~),
-               libkmailtransport-dev (>= 25.11.90~),
-               libkmime-dev (>= 25.11.90~),
-               messagelib-dev (>= 4:25.11.90~),
+               libkidentitymanagement-dev (>= 25.12.0~),
+               libkleo-dev (>= 4:25.12.0~),
+               libkmailtransport-dev (>= 25.12.0~),
+               libkmime-dev (>= 25.12.0~),
+               messagelib-dev (>= 4:25.12.0~),
                qt6-base-dev (>= 6.7.0~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
@@ -63,11 +63,11 @@
 Section: libdevel
 Architecture: amd64 arm64 armhf i386
 Multi-Arch: same
-Depends: libakonadi-dev (>= 4:25.11.90~),
+Depends: libakonadi-dev (>= 4:25.12.0~),
          libkf6calendarcore-dev (>= 6.6.0~),
          libkf6i18n-dev (>= 6.6.0~),
          libkf6widgetsaddons-dev (>= 6.6.0~),
-         libkidentitymanagement-dev (>= 25.11.90~),
+         libkidentitymanagement-dev (>= 25.12.0~),
          libkpim6akonadicalendar6 (= ${binary:Version}),
          libkpim6akonadicalendarcore6 (= ${binary:Version}),
          ${misc:Depends},
