## akonadi-calendar 25.12.0+p24.04+vstable+git20251231.0508

=== debian/changelog ===
akonadi-calendar (4:25.12.0+p24.04+vstable+git20251231.0508-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 31 Dec 2025 05:08:36 +0000

akonadi-calendar (4:25.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 19:38:07 +1000
