## akonadi-calendar 25.12.0+p24.04+vstable+git20260103.0653

=== debian/changelog ===
akonadi-calendar (4:25.12.0+p24.04+vstable+git20260103.0653-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 03 Jan 2026 06:53:05 +0000
