## akonadi-calendar 25.12.1+p24.04+vstable+git20260205.0706

=== debian/changelog ===
akonadi-calendar (4:25.12.1+p24.04+vstable+git20260205.0706-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 05 Feb 2026 07:06:50 +0000

akonadi-calendar (4:25.12.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 06 Jan 2026 23:28:22 +1000
