## akonadi-calendar 25.12.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
 
-set(PIM_VERSION "6.6.1")
+set(PIM_VERSION "6.6.2")
 project(Akonadi-Calendar VERSION ${PIM_VERSION})
 
 # ECM setup
@@ -66,18 +66,18 @@
 
 include(ECMAddQch)
 
-set(KPIM_MIME_VERSION "6.6.1")
+set(KPIM_MIME_VERSION "6.6.2")
 find_package(KPim6Mime ${KPIM_MIME_VERSION} CONFIG REQUIRED)
 set(AKONADICALENDAR_LIB_VERSION ${PIM_VERSION})
-set(AKONADICONTACT_LIB_VERSION "6.6.1")
-set(AKONADIMIME_LIB_VERSION "6.6.1")
-set(AKONADI_LIB_VERSION "6.6.1")
-set(MAILTRANSPORT_LIB_VERSION "6.6.1")
-set(CALENDARUTILS_LIB_VERSION "6.6.1")
-set(IDENTITYMANAGEMENT_LIB_VERSION "6.6.1")
-set(MESSAGECORE_LIB_VERSION "6.6.1")
-set(MESSAGECOMPOSER_LIB_VERSION "6.6.1")
-set(LIBKLEO_LIB_VERSION "6.6.1")
+set(AKONADICONTACT_LIB_VERSION "6.6.2")
+set(AKONADIMIME_LIB_VERSION "6.6.2")
+set(AKONADI_LIB_VERSION "6.6.2")
+set(MAILTRANSPORT_LIB_VERSION "6.6.2")
+set(CALENDARUTILS_LIB_VERSION "6.6.2")
+set(IDENTITYMANAGEMENT_LIB_VERSION "6.6.2")
+set(MESSAGECORE_LIB_VERSION "6.6.2")
+set(MESSAGECOMPOSER_LIB_VERSION "6.6.2")
+set(LIBKLEO_LIB_VERSION "6.6.2")
 set(GPGME_LIB_VERSION "1.23.2")
 
 ecm_setup_version(PROJECT VARIABLE_PREFIX AKONADICALENDAR
