## akonadi-calendar 25.12.2+p24.04+vstable+git20260207.0319

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
 
-set(PIM_VERSION "6.6.2")
+set(PIM_VERSION "6.6.3")
 project(Akonadi-Calendar VERSION ${PIM_VERSION})
 
 # ECM setup
