=== debian/changelog ===
akonadi-calendar (4:25.12.2+p24.04+vstable+git20260207.0319-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 07 Feb 2026 03:19:33 +0000

akonadi-calendar (4:25.12.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 06 Feb 2026 04:43:27 +0000
