## akonadi-calendar 25.12.2+p24.04+vstable+git20260216.0429

=== CMakeLists.txt ===
--- 
+++ 
@@ -66,18 +66,18 @@
 
 include(ECMAddQch)
 
-set(KPIM_MIME_VERSION "6.6.2")
+set(KPIM_MIME_VERSION "6.6.3")
 find_package(KPim6Mime ${KPIM_MIME_VERSION} CONFIG REQUIRED)
 set(AKONADICALENDAR_LIB_VERSION ${PIM_VERSION})
-set(AKONADICONTACT_LIB_VERSION "6.6.2")
-set(AKONADIMIME_LIB_VERSION "6.6.2")
-set(AKONADI_LIB_VERSION "6.6.2")
-set(MAILTRANSPORT_LIB_VERSION "6.6.2")
-set(CALENDARUTILS_LIB_VERSION "6.6.2")
-set(IDENTITYMANAGEMENT_LIB_VERSION "6.6.2")
-set(MESSAGECORE_LIB_VERSION "6.6.2")
-set(MESSAGECOMPOSER_LIB_VERSION "6.6.2")
-set(LIBKLEO_LIB_VERSION "6.6.2")
+set(AKONADICONTACT_LIB_VERSION "6.6.3")
+set(AKONADIMIME_LIB_VERSION "6.6.3")
+set(AKONADI_LIB_VERSION "6.6.3")
+set(MAILTRANSPORT_LIB_VERSION "6.6.3")
+set(CALENDARUTILS_LIB_VERSION "6.6.3")
+set(IDENTITYMANAGEMENT_LIB_VERSION "6.6.3")
+set(MESSAGECORE_LIB_VERSION "6.6.3")
+set(MESSAGECOMPOSER_LIB_VERSION "6.6.3")
+set(LIBKLEO_LIB_VERSION "6.6.3")
 set(GPGME_LIB_VERSION "1.23.2")
 
 ecm_setup_version(PROJECT VARIABLE_PREFIX AKONADICALENDAR
