=== debian/changelog ===
akonadi-calendar (4:25.12.2+p24.04+vstable+git20260216.0429-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 16 Feb 2026 04:29:22 +0000
