## akonadi-calendar 25.12.2+p24.04+vstable+git20260219.0615

=== debian/changelog ===
akonadi-calendar (4:25.12.2+p24.04+vstable+git20260219.0615-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 19 Feb 2026 06:15:49 +0000
